LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Recommendations for regarding BIG changes in current and Alien Bob's 4.4 packages? (http://www.linuxquestions.org/questions/slackware-14/recommendations-for-regarding-big-changes-in-current-and-alien-bobs-4-4-packages-792488/)

damgar 03-01-2010 10:16 PM

Recommendations for regarding BIG changes in current and Alien Bob's 4.4 packages?
 
I was wondering if anyone had any ideas about the best way to go about upgrading current with Eric's 4.4 packages installed. It looks like some of the changes in current are newer versions than what I'm running with the 4.4. packages installed so I'm not real sure of the best path to follow . Would it be better to just blacklist the 4.4. packages and proceed with the upgrade or does somebody else have a better idea?

botnet 03-01-2010 10:22 PM

http://alien.slackbook.org/blog/

what i did was blacklist all of his kde packages, and multilib packages, then ran slackpkg upgrade-all, with the intention of installing his updated packages after that finished

however it is error-ing like crazy due to
Code:

expr: error while loading shared libraries: libgmp.so.10: cannot open shared object file: No such file or directory
so you might want to wait a bit

dive 03-01-2010 11:16 PM

You will need to grab gmp package and if it refuses to install, tar xf in /, chmod +x /install/doinst.sh, /install/doinst.sh, rm -r /install

When that is done and the rest of the packages are upgraded install gmp package properly.


All times are GMT -5. The time now is 09:52 AM.